All resources All frames

# PageCompileProp

Gives editable access to Jigsaw Page Compilation properties, when PageCompileFrame is used somewhere.

## Inherits

The PageCompileProp class inerits from the following classes:

- Resource
- PropertySet

## Attributes description

The PageCompileProp defines the following attributes:

- org.w3c.jigsaw.pagecompile.dir
- org.w3c.jigsaw.pagecompile.compiler

`org.w3c.jigsaw.pagecompile.dir`

semantics
  Specify the directory for storing generated class file.
type
  This attribute is an editable FileAttribute
default value
  This attribute defaults to <instdir>/Jigsaw/Jigsaw/compiledPages/ .

`org.w3c.jigsaw.pagecompile.compiler`

semantics
  Specify the compiler used to compile generated frames.
type
  This attribute is an editable StringAttribute
default value
  This attribute defaults to org.w3c.jigsaw.pagecompile.JDKCompiler.

Jigsaw Team
$Id: org.w3c.jigsaw.pagecompile.PageCompileProp.html,v 1.1 1998/09/04 09:49:03 bmahe Exp $